Bug 20285 - [UXA]mesa xdemo/glthreads run abort with Assertion error
[UXA]mesa xdemo/glthreads run abort with Assertion error
Status: VERIFIED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i915
unspecified
Other Linux (All)
: medium normal
Assigned To: Eric Anholt
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-23 19:04 UTC by liuhaien
Modified: 2010-04-14 01:30 UTC (History)
2 users (show)

See Also:


Attachments
xorg.0.log (49.26 KB, text/plain)
2009-02-23 19:04 UTC, liuhaien
Details
xorg conf file (4.03 KB, text/plain)
2009-02-23 19:04 UTC, liuhaien
Details

Note You need to log in before you can comment on or make changes to this bug.
Description liuhaien 2009-02-23 19:04:20 UTC
Created attachment 23243 [details]
xorg.0.log

System Environment:
--------------------------
Platform: g45
Architecture(32-bit,64-bit,compatiblity): 64-bit 
Libdrm:         (master)4a0d19ef4f210cea9e60c5acc355df03723ef808
Mesa:            (mesa_7_4_branch)e2092bb23c956ba9ab940935f803ef843db81af2
Xserver:         (server-1.6-branch)4557b3f6c4273cd83b701beaf7a150c806fed298
Xf86_video_intel:       
(master)81c652e9a666a7459bcc5217c8a5ec518b6e00da
GEM_Kernel (for-airlied)99d31f896d243c13bb90b56620d33b416a5cffa7

Bug detailed description:
--------------------------
start X,then run mesa xdemo glthreads ,sometimes it will run abort (about 1/10)with the message :
glthreads: xcb_io.c:378: _XAllocID: Assertion `ret != inval_id' failed.
following is the backtrace from gdb:
#0  0x00000034ca830ec5 in raise () from /lib64/libc.so.6
#1  0x00000034ca832970 in abort () from /lib64/libc.so.6
#2  0x00000034ca82a11f in __assert_fail () from /lib64/libc.so.6
#3  0x00007f9551f552fc in _XAllocID (dpy=0x10ab070) at xcb_io.c:378
#4  0x00007f9551aef732 in XFixesCreateRegion (dpy=0x10ab070,
	rectangles=0x465ba0e0, nrectangles=1) at Region.c:41
#5  0x00007f95522b636e in dri2CopySubBuffer (pdraw=0x5ef0d90,
	x=<value optimized out>, y=<value optimized out>, width=-1, height=0)
	at dri2_glx.c:210
#6  0x0000000000402a08 in thread_function (p=<value optimized out>)
	at glthreads.c:289
#7  0x00000034cb406407 in start_thread () from /lib64/libpthread.so.0
#8  0x00000034ca8d4b0d in clone () from /lib64/libc.so.6

btw this issue only happens on g45 and q45,it works on g33,915gm ,945gm and gm965.
Comment 1 liuhaien 2009-02-23 19:04:40 UTC
Created attachment 23244 [details]
xorg conf file
Comment 2 Gordon Jin 2009-02-24 04:56:51 UTC
This seems strange. 
Eric, can you share any explanation for this problem?
Comment 3 Michael Babcock 2009-03-10 15:16:33 UTC
I'm also running into this assertion at xcb_io.c:378 with my own application that does OpenGL rendering from a separate thread. I'm running with NVidia's libGL and driver so I don't think this has anything to do with Mesa or the Intel driver, but rather libX11.

I've had it happen with libx11 version 1.1.99.2. I haven't yet reproduced it with the just-released version 1.2, but as it is very rare, that might not mean anything.
Comment 4 liuhaien 2009-03-22 19:40:19 UTC
the issue has gone against:
Libdrm:         (master)00d8e960ca665b7f0528438331f4d0ae77fbb4cc
Mesa:(mesa_7_4_branch)b009a32bf428192fef2dc4787d25f022a472854f          
Xserver:        (server-1.6-branch)60c161545af80eb78eb790a05bde79409dfdf16e
Xf86_video_intel:       (2.7)e2465249a90b9aefe6d7a96eb56a51fde54698a0
Kernel:       (for-airlied)a2e785c32b886dd7f0289d1cf15fc14e9c81bc01
Comment 5 liuhaien 2009-03-22 19:40:34 UTC
verified.
Comment 6 liuhaien 2009-03-26 02:18:44 UTC
 it still exists with uxa+ums and come out very often ,so reopen it to trace this issue. but sometimes we will another assetion like below:
XlibInt.c:599: _XPrivSyncFunction: Assertion `dpy->synchandler == _XPrivSyncFunction' failed.
Aborted
Comment 7 fangxun 2009-09-09 01:37:57 UTC
It works well on G45 but failed on 945GME. The same issue happens on 945GME with following commits:
Libdrm:         (master)121b9648f846d900e67818869974ee82046e9b25
Mesa:           (mesa_7_6_branch)9216b4e7be942fed432ceb42a4337d7298d0bc6c
Xserver:         (server-1.6-branch)3044711412d0a08ba65a491bd2441c0c8980f5e2
Xf86_video_intel:     (master)94fc93d4e2b88565dca17f72903d8991213c9ee8
Kernel:         (master)e07cccf4046978df10f2e13fe2b99b2f9b3a65db

Comment 8 fangxun 2010-04-14 01:29:48 UTC
It works well on 945GME with current driver. Verified.